/*
 * InstanciationSousClasse.java
 * 
 * Permet de generer une fenetre de dialogue speciale pour determiner
 * si oui ou non on va instancier une sous-classe.
 * En fonction de la reponse de l'utilisateur, on va rendre possible
 * des zones de saisies (de Villa ou d'Usine).
 *
 */ 
 
import java.awt.*;

public class InstanciationSousClasse extends YesNoDialog {
    private InterfaceTP5 papa;
    private String choix;

    // Create the kind of YesNoDialog we want
    // And store away a piece of information we need later.
    public InstanciationSousClasse(InterfaceTP5 monParent, String maSousClasse) { 
	super(monParent,
		"Confirmation de saisie d'une sous-classe", 
		"Etes-vous sur de ne pas vouloir creer un batiment de type general\n"+
		"(c-a-d instancier la classe Batiment) ?",
		"sur, je veux creer une " + maSousClasse,
		"finalement, non",
		null);
	this.papa = monParent;
	this.choix = maSousClasse;
    }

    // Define these methods to handle the user's answer
    public void yes() {
	// on disable le batiment...
	System.out.println("on veut creer une " + choix);
	papa.panelBatiment.disable();
	papa.panelChoix.disable();
	// on enable le bon
	if (choix.equals("Villa"))  {
		papa.panelVilla.enable();
	}
	else if (choix.equals("Usine"))  {
		papa.panelUsine.enable();
	}
	papa.sousClasse = choix;
    }

    public void no() { 
    }
}
